[Frugalware-darcs] frugalware-current: mailman-2.1.7-1-i686

voroskoi voroskoi at frugalware.org
Thu Mar 16 17:34:24 CET 2006


[mailman-2.1.7-1-i686
voroskoi <voroskoi at frugalware.org>**20060313212624
 version bump
 new maintainer
 added rc scripts
 reviewed depends()/rodepends()
 added README.Frugalware
 closes #459
] {
addfile ./extra/source/apps/mailman/README.Frugalware
addfile ./extra/source/apps/mailman/rc.mailman
addfile ./extra/source/apps/mailman/rc.mailman.pot
addfile ./extra/source/apps/mailman/rc.mailman-hu.po
hunk ./extra/source/apps/mailman/FrugalBuild 1
-# Last Modified: Tue, 01 Nov 2005 17:07:16 +0100
-# Compiling Time: ~2 minute
-# Maintainer: VMiklos <vmiklos at frugalware.org>
+# Last Modified: Mon, 13 Mar 2006 22:21:10 +0100
+# Compiling Time: ~0.18 SBU
+# Contributor: VMiklos <vmiklos at frugalware.org>
+# Maintainer: voroskoi <voroskoi at frugalware.org>
hunk ./extra/source/apps/mailman/FrugalBuild 7
-pkgver=2.1.5
-pkgrel=2
+pkgver=2.1.7
+pkgrel=1
hunk ./extra/source/apps/mailman/FrugalBuild 11
-depends=('python' 'apache' 'mta')
+depends=('python')
+rodepends=('mta')
hunk ./extra/source/apps/mailman/FrugalBuild 17
-up2date="lynx -dump http://ftp.gnu.org/pub/gnu/mailman/?M=D|grep 'tgz$'|sed -n 's/.*-\(.*\)\.t.*/\1/;1 p'"
-source=(ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tgz)
-md5sums=('f5f56f04747cd4aff67427e7a45631af')
+up2date="lynx -dump $url |grep stable |sed -e 's/.*s\ \(.*\),.*/\1/'"
+source=($url/$pkgname.tar.gz README.Frugalware rc.$pkgname \
+	rc.$pkgname-hu.po)
hunk ./extra/source/apps/mailman/FrugalBuild 21
+sha1sums=('f84b465dc03227f384ea902fca3d8396035bd9e2' \
+	'aec479fe8974fe2520945f473bc10a14de5c3562' \
+	'e1f228d87c200226e4d1f4e90b3038bed8e2a200' \
+	'f4d81c3c52c654e191ecf5e228256f4a47821dbe')
hunk ./extra/source/apps/mailman/FrugalBuild 29
-		groupadd -g 80 mailman
-		useradd -u 80 -g mailman -d /home/mailman -s /bin/false mailman
-		mkdir -p /home/mailman
-		chown mailman.mailman /home/mailman
-		chmod 2775 /home/mailman
+		Fmessage "creating mailman user and home dir on current system"
+		groupadd -g 80 mailman || Fdie
+		useradd -u 80 -g mailman -d /home/mailman -s /bin/false mailman || Fdie
+		mkdir -p /home/mailman || Fdie
+		chown mailman.mailman /home/mailman || Fdie
+		chmod 2775 /home/mailman || Fdie
hunk ./extra/source/apps/mailman/FrugalBuild 38
-	mkdir -p $startdir/pkg/home/mailman
-	chown mailman.mailman $startdir/pkg/home/mailman
-	chmod 2775 $startdir/pkg/home/mailman
-	cd $startdir/src/$pkgname-$pkgver
-	./configure --with-mail-gid=nogroup --prefix=/home/mailman
-	
-	make || return 1
-
-	make prefix=$startdir/pkg/home/mailman \
-		var_prefix=$startdir/pkg/home/mailman install
+	Fmkdir /home/mailman
+	chown mailman.mailman $Fdestdir/home/mailman || Fdie
+	chmod 2775 $Fdestdir/home/mailman || Fdie
+	Fcd
+	Fmake --with-mail-gid=nogroup --prefix=/home/mailman
+	make prefix=$Fdestdir/home/mailman \
+		var_prefix=$Fdestdir/home/mailman install
hunk ./extra/source/apps/mailman/FrugalBuild 47
-		userdel mailman
-		rmdir /home/mailman
+		Fmessage "removing mailman user and home dir on current system"
+		userdel mailman || Fdie
+		rmdir /home/mailman || Fdie
hunk ./extra/source/apps/mailman/FrugalBuild 51
+	Fdoc README.Frugalware
+	Frcd2
hunk ./extra/source/apps/mailman/README.Frugalware 1
+There is no any kind of http server in mailman's depends.
+It's because they are not needed to get a working mailman.
+Of cource if you want to provide archives and so don't
+forget to install a http server.
hunk ./extra/source/apps/mailman/rc.mailman 1
+#!/bin/bash
+
+# (c) 2006 Andras Voroskoi <voroskoi at frugalware.org>
+# rc.mailman for Frugalware
+# distributed under GPL License
+
+# chkconfig: 2345 98 12
+# description: Mailman is the GNU Mailing List Manager, a program that \
+#              manages electronic mail discussion groups.  For more \
+#              on GNU Mailman see http://www.list.org
+
+source /lib/initscripts/functions
+TEXTDOMAIN=mailman
+TEXTDOMAINDIR=/lib/initscripts/messages
+
+MAILMAN_HOME=/home/mailman
+PYTHON_BIN=`which python`
+
+actions=(restart status start stop)
+daemon=$"Mailman daemon"
+
+rc_start()
+{
+	start_msg
+	$PYTHON_BIN $MAILMAN_HOME/bin/mailmanctl -s -q start
+	ok $?
+}
+
+rc_stop()
+{
+	stop_msg
+	$PYTHON_BIN $MAILMAN_HOME/bin/mailmanctl -q stop
+	ok $?
+}
+
+rc_exec $1
hunk ./extra/source/apps/mailman/rc.mailman-hu.po 1
+# Hungarian translations for rc.mailman package.
+# Copyright (C) 2006 THE rc.mailman'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the rc.mailman package.
+# voroskoi <voroskoi at frugalware.org>, 2006.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: rc.mailman\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2006-03-13 21:56+0100\n"
+"PO-Revision-Date: 2006-03-13 21:57+0100\n"
+"Last-Translator: voroskoi <voroskoi at frugalware.org>\n"
+"Language-Team: Hungarian <translation-team-hu at lists.sourceforge.net>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=ISO-8859-2\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=1; plural=0;\n"
+
+#: rc.mailman:19
+msgid "Mailman daemon"
+msgstr "Mailman démon"
hunk ./extra/source/apps/mailman/rc.mailman.pot 1
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+# FIRST AUTHOR <EMAIL at ADDRESS>, YEAR.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2006-03-13 21:56+0100\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL at ADDRESS>\n"
+"Language-Team: LANGUAGE <LL at li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=CHARSET\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: rc.mailman:19
+msgid "Mailman daemon"
+msgstr ""
}


More information about the Frugalware-darcs mailing list